### Enumeration

# Foundry ProcessLauncherShell

#### Declaration

    enum Foundry.ProcessLauncherShell

#### Description [src]

Describes the type of shell to be used within the context.

#### Members

`FOUNDRY_PROCESS_LAUNCHER_SHELL_DEFAULT`

  A basic shell with no user scripts.

  - Value: `0`
  - Available since: 1
`FOUNDRY_PROCESS_LAUNCHER_SHELL_LOGIN`

  A user login shell similar to `bash -l`.

  - Value: `1`
  - Available since: 1
`FOUNDRY_PROCESS_LAUNCHER_SHELL_INTERACTIVE`

  A user interactive shell similar to `bash -i`.

  - Value: `2`
  - Available since: 1